summaryrefslogtreecommitdiffstats
path: root/tools/build
diff options
context:
space:
mode:
Diffstat (limited to 'tools/build')
-rw-r--r--tools/build/ChangeLog5
-rw-r--r--tools/build/Makefile.am3
-rwxr-xr-xtools/build/doxy-filter21
3 files changed, 29 insertions, 0 deletions
diff --git a/tools/build/ChangeLog b/tools/build/ChangeLog
index e627d64def..348d3289ef 100644
--- a/tools/build/ChangeLog
+++ b/tools/build/ChangeLog
@@ -1,3 +1,8 @@
+2006-07-13 Ralf Corsepius <ralf.corsepius@rtems.org>
+
+ * doxy-filter: New.
+ * Makefile.am: Add doxy-filter.
+
2006-07-11 Ralf Corsepius <ralf.corsepius@rtems.org>
* ampolish3.in: Remove.
diff --git a/tools/build/Makefile.am b/tools/build/Makefile.am
index 1195cdde53..8f62d33302 100644
--- a/tools/build/Makefile.am
+++ b/tools/build/Makefile.am
@@ -19,4 +19,7 @@ bin_SCRIPTS = install-if-change
noinst_SCRIPTS = search-id.sh multigen cvsignore-add.sh
EXTRA_DIST = search-id.sh multigen cvsignore-add.sh
+noinst_SCRIPTS += doxy-filter
+EXTRA_DIST += doxy-filter
+
include $(top_srcdir)/../../automake/host.am
diff --git a/tools/build/doxy-filter b/tools/build/doxy-filter
new file mode 100755
index 0000000000..1d47b0806d
--- /dev/null
+++ b/tools/build/doxy-filter
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# doxygen input filter
+# $Id$
+
+# usage: doxy-filter <input-file-name>
+# Reads <input-file> and writes to stdout.
+
+file=$1
+
+# Does file contain a doxygen @file directive?
+if ! grep -q '@file' $file >/dev/null ; then
+# No, add one
+echo "/** @file $file */"
+cat $file
+else
+# Yes, adjust path to work around doxygen not being able to
+# distinguish file names properly
+exec sed -e "s,@file.*$,@file $file," $file
+fi
+